Closed Bug 953870 Opened 10 years ago Closed 5 years ago

Rename accounts (i.e. change the username)

Categories

(Instantbird Graveyard :: Account manager, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: bugzilla, Unassigned)

References

Details

*** Original post on bio 429 by John Doe <buggy AT mailinator.com> at 2010-07-03 11:05:00 UTC ***

There should be an option to change the username (ID) for an existing account. Currently when I mistyped the username or want to switch to a serverside alias, I have to delete the account and enter everything again.
*** Original post on bio 429 at 2010-07-03 22:55:38 UTC ***

It's been bothering me as well already, I'm not sure if any technical things speak against it. I'm just setting this to NEW.
Status: UNCONFIRMED → NEW
Component: Preferences → Account manager
Ever confirmed: true
OS: Windows XP → All
Hardware: x86 → All
*** Original post on bio 429 at 2010-07-04 00:00:47 UTC ***

Technically this is ugly because the username is stored in two different places:
 - in the preferences, with the account parameters
 - in the SQLite database of the buddy list
We have this double storage so that we can double-check we are not attempting to load a buddy list that is the one of another account. This can happen if the user messed things up in about:config or if the user profile is corrupted. Loading the buddy list in this case would be very wrong and I think we should keep this sanity check.

I agree there should be a way to fix a typo in the username without having to delete and recreate the account.

I'm not sure I agree with the username being editable in the general case (especially after the account has already been connected successfully once).

While I agree with the first use case proposed, the "switch to a serverside alias" case seems very rare to me, and maybe not worth addressing.

By the way, I'm just typing this as I think it, this is by no way a final decision ;).
*** Original post on bio 429 at 2010-07-04 00:02:29 UTC ***

Oh, and if you have XMPP in mind, having the resource being a part of the username is in my opinion completely wrong, it should be a property of the account.
*** Original post on bio 429 at 2012-06-29 21:22:53 UTC ***

The case for providing this is that IB then takes responsibility for migrating logs for the user.
Summary: edit username → Rename accounts (i.e. change the username)
Blocks: 955006
*** Original post on bio 429 at 2013-06-26 01:16:40 UTC ***

This this is bothering me also. I guess no one is working on this right now?
*** Original post on bio 429 at 2013-06-26 07:57:12 UTC ***

(In reply to comment #4)
> The case for providing this is that IB then takes responsibility for migrating
> logs for the user.

It's also not completely clear what to do with logs. For json logs, we have the 'incoming' and 'outgoing' flags logged, but for old plain text logs, the only way to know that a message was outgoing was to check that the username matched the account name.
On the behalf of Florian:
Closing bugs related to the Instantbird UI as WONTFIX, as the development of the standalone chat client Instantbird has stopped. Instantbird users are encouraged to migrate to Thunderbird. The user interface of instant messaging in Thunderbird will feel familiar, as the Thunderbird IM support started as a fork of Instantbird.
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WONTFIX
On the behalf of Florian:
Closing bugs related to the Instantbird UI as WONTFIX, as the development of the standalone chat client Instantbird has stopped. Instantbird users are encouraged to migrate to Thunderbird. The user interface of instant messaging in Thunderbird will feel familiar, as the Thunderbird IM support started as a fork of Instantbird.
You need to log in before you can comment on or make changes to this bug.